RedotPay Connect
Account Asset

Query merchant account balances

POST
/openapi/v2/merchant/asset/query

Retrieve merchant account balances and asset summary information, including total, available and frozen balances (reported in merchant base currency, typically USD).

Header Parameters

X-R-Ts*string

request timestamp in milliseconds

X-R-Ak*string

merchant's appKey

X-R-Signature*string

request signature

X-R-Key-Version?string

merchant's private key version, default is 1

Response Body

*/*

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/openapi/v2/merchant/asset/query" \  -H "X-R-Ts: 1762327084929" \  -H "X-R-Ak: string" \  -H "X-R-Signature: string"
"open api common response"
{  "code": "paramFormatError",  "message": "request param invalid"}
{  "code": "authorizationInvalid",  "message": "authorizationInvalid invalid"}
{  "code": "notInWhiteList",  "message": "request ip not in the white list"}
{  "code": "frequencyLimited",  "message": "Too many requests, please try again later"}